pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/43621: [x11/py-gnome2-desktop] Checking file-check error

>Number:         43621
>Category:       pkg
>Synopsis:       [x11/py-gnome2-desktop] Checking file-check error
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Thu Jul 15 05:00:01 +0000 2010
>Originator:     Ryo HAYASAKA
>Release:        NetBSD 5.99.36, pkgsrc-current
Japan Advanced Institute of Science and Technology (JAIST)
System: NetBSD 5.99.36 NetBSD 5.99.36 (MONOLITHIC) #0: Sun 
Jul 11 00:03:15 UTC 2010
Architecture: i386
Machine: i386
$ make replace
=> Bootstrap dependency digest>=20010302: found digest-20080510
WARNING: [] Every package should define a LICENSE.
=> Checksum SHA1 OK for gnome-python-desktop-2.30.2.tar.bz2
=> Checksum RMD160 OK for gnome-python-desktop-2.30.2.tar.bz2
===> depends-message [py26-gnome2-desktop-2.30.2nb2] ===> Installing 
dependencies for py26-gnome2-desktop-2.30.2nb2
The following variables will affect the build process of this package,
py26-gnome2-desktop-2.30.2nb2.  Their current value is shown below:

        * BDB185_DEFAULT = db1
        * BDB_DEFAULT = db5
        * FAM_DEFAULT = fam

Based on these variables, the following variables have been set:

        * BDBBASE (defined, but empty)
        * BDB_LIBS = -ldb5
        * BDB_TYPE = db5
        * FAMBASE (defined, but empty)
        * FAM_TYPE = fam
        * PYPACKAGE = python26

You may want to abort the process now with CTRL-C and change their value
before continuing.  Be sure to run `/usr/bin/make clean' after
the changes.
=> Build dependency libtool-base>=2.2.6bnb3: found libtool-base-2.2.6bnb4
=> Build dependency gmake>=3.81: found gmake-3.81
=> Build dependency perl>=5.0: found perl-5.10.1nb2
=> Build dependency pkg-config>=0.19: found pkg-config-0.23nb1
=> Build dependency x11-links>=0.50: found x11-links-0.50
=> Build dependency xcb-proto>=1.4: found xcb-proto-1.6
=> Build dependency py-gobject-shared>=2.10.1: found py-gobject-shared-2.20.0
=> Build dependency checkperms>=1.1: found checkperms-1.11
=> Full dependency bug-buddy>=2.16: found bug-buddy-2.26.0
=> Full dependency python26>=2.6: found python26-2.6.5nb1
=> Full dependency libwnck>=2.28.0nb2: found libwnck-2.28.0nb2
=> Full dependency librsvg>=2.26.3nb1: found librsvg-2.26.3nb1
=> Full dependency py26-cairo>=1.8.8nb1: found py26-cairo-1.8.8nb1
=> Full dependency evolution-data-server>= found 
=> Full dependency libgnome-keyring>=2.30.1: found libgnome-keyring-2.30.1
=> Full dependency gnome-media>=2.28.5nb2: found gnome-media-2.28.5nb2
=> Full dependency totem-pl-parser>=2.30.1: found totem-pl-parser-2.30.1
=> Full dependency evince>=2.30.1: found evince-2.30.3
=> Full dependency libgnomeprint>=2.18.6nb4: found libgnomeprint-2.18.6nb4
=> Full dependency libgnomeprintui>=2.18.4nb4: found libgnomeprintui-2.18.4nb4
=> Full dependency libgtop>=2.14.0: found libgtop-2.26.1
=> Full dependency gnome-desktop>=2.30.0: found gnome-desktop-2.30.2
=> Full dependency gnome-panel>=2.28.0nb3: found gnome-panel-2.30.2nb1
=> Full dependency gtksourceview>=1.8.5nb4: found gtksourceview-1.8.5nb4
=> Full dependency py26-gnome2>=2.28.1nb1: found py26-gnome2-2.28.1nb1
=> Full dependency py26-gtk2>=2.16.0nb1: found py26-gtk2-2.16.0nb1
===> tools-message [py26-gnome2-desktop-2.30.2nb2] ===> Overriding tools for 
===> extract-message [py26-gnome2-desktop-2.30.2nb2] ===> Extracting for 
===> patch-message [py26-gnome2-desktop-2.30.2nb2] ===> Patching for 
=> Applying pkgsrc patches for py26-gnome2-desktop-2.30.2nb2
===> wrapper-message [py26-gnome2-desktop-2.30.2nb2] ===> Creating toolchain 
wrappers for py26-gnome2-desktop-2.30.2nb2
  /bin/mkdir -p 
/c/ryoh/pkgsrc/x11/py-gnome2-desktop/work/.buildlink/lib/pkgconfig;  if test -f 
${src}; then  /bin/ln -sf ${src} ${dst};  fi
===> configure-message [py26-gnome2-desktop-2.30.2nb2] ===> Configuring for 
=> Modifying GNU configure scripts to avoid --recheck
=> Replacing config-guess with pkgsrc versions
=> Replacing config-sub with pkgsrc versions
=> Replacing install-sh with pkgsrc version
=> Adding run-time search paths to pkg-config files.
INFO: [] Nothing changed in ./
=> Checking for portability problems in extracted files
configure: WARNING: unrecognized options: --without-libintl-prefix, 
checking for a BSD-compatible install... /usr/bin/install -c -o ryoh -g is
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... ./install-sh -c -d
checking for gawk... /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking build system type... i486--netbsdelf
checking host system type... i486--netbsdelf
checking for style of include used by make... GNU
checking for i486--netbsdelf-gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking dependency style of cc... gcc3
checking for a sed that does not truncate output... /usr/bin/sed
checking for grep that handles long lines and -e... (cached) /usr/bin/grep
checking for egrep... (cached) /usr/bin/egrep
checking for fgrep... /usr/bin/grep -F
checking for ld used by cc... 
checking if the linker 
(/c/ryoh/pkgsrc/x11/py-gnome2-desktop/work/.wrapper/bin/ld) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... (cached) 262144
checking whether the shell understands some XSI constructs... yes
checking whether the shell understands "+="... no
checking for /c/ryoh/pkgsrc/x11/py-gnome2-desktop/work/.wrapper/bin/ld option 
to reload object files... -r
checking for i486--netbsdelf-objdump... no
checking for objdump... objdump
checking how to recognize dependent libraries... match_pattern 
checking for i486--netbsdelf-ar... no
checking for ar... ar
checking for i486--netbsdelf-strip... no
checking for strip... strip
checking for i486--netbsdelf-ranlib... no
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from cc object... ok
checking how to run the C preprocessor... cc -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking for dlfcn.h... yes
checking for objdir... .libs
checking if cc supports -fno-rtti -fno-exceptions... no
checking for cc option to produce PIC... -fPIC -DPIC
checking if cc PIC flag -fPIC -DPIC works... yes
checking if cc static flag -static works... yes
checking if cc supports -c -o file.o... rm: conftest*: No such file or directory
checking if cc supports -c -o file.o... (cached) yes
checking whether the cc linker 
(/c/ryoh/pkgsrc/x11/py-gnome2-desktop/work/.wrapper/bin/ld) supports shared 
libraries... yes
checking whether -lc should be explicitly linked in... rm: conftest*: No such 
file or directory
checking dynamic linker characteristics... NetBSD ld.elf_so
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
configure: creating ./ creating libtool
rm: libtoolT: No such file or directory
checking whether /usr/pkg/bin/python2.6 version >= 2.3... yes
checking for /usr/pkg/bin/python2.6 version... 2.6
checking for /usr/pkg/bin/python2.6 platform... netbsd5
checking for /usr/pkg/bin/python2.6 script directory... 
checking for /usr/pkg/bin/python2.6 extension module directory... 
checking for headers required to compile python extensions... found
checking pkg-config is at least version 0.9.0... yes
checking for PYGTK... yes
checking for pygtk-codegen-2.0... /usr/pkg/bin/pygtk-codegen-2.0
checking for conflicting pygtk versions... none
checking for pygobject defs... /usr/pkg/share/pygobject/2.0/defs
checking for pygtk defs... /usr/pkg/share/pygtk/2.0/defs
checking for gnome-python defs... /usr/pkg/share/pygtk/2.0/defs
checking for gnome-python argtypes dir... /usr/pkg/share/pygtk/2.0/argtypes
checking pkg-config is at least version 0.16... yes
checking for GLIB - version >= 2.6.0... yes (version 2.24.1)
checking for pkg-config... 
checking for GTK+ - version >= 2.4.0... yes (version 2.20.1)
checking for LIBPANELAPPLET... yes
checking for LIBGNOMEPRINT... yes
checking for libgnomeprint 2.8 API... found
checking for LIBGNOMEPRINTUI... yes
checking for GTKSOURCEVIEW... yes
checking for WNCK... yes
checking for TOTEM_PLPARSER... yes
checking for GTOP... yes
checking for NAUTILUSBURN... no
checking for BRASEROMEDIA... no
checking for BRASEROBURN... no
checking for MEDIAPROFILES... yes
checking for RSVG... yes
checking for GNOMEKEYRING... yes
checking for GNOMEDESKTOP... yes
checking for bug-buddy... /usr/pkg/bin/bug-buddy
checking whether bug-buddy >= 2.16... Shared object "" not found
Traceback (most recent call last):
  File "<string>", line 1, in <module>
IndexError: list index out of range
checking for EVOLUTION_EBOOK... yes
checking for EVOLUTION_ECAL... yes
checking for EVINCE... yes
checking whether cc understands -Wall... yes
checking whether cc understands -std=c9x... yes
checking whether cc understands -fno-strict-aliasing... yes
configure: creating ./config.status
config.status: creating Makefile
config.status: creating gnomeapplet/Makefile
config.status: creating gnomeprint/Makefile
config.status: creating gtksourceview/Makefile
config.status: creating wnck/Makefile
config.status: creating totem/Makefile
config.status: creating gtop/Makefile
config.status: creating nautilusburn/Makefile
config.status: creating braseromedia/Makefile
config.status: creating braseroburn/Makefile
config.status: creating mediaprofiles/Makefile
config.status: creating metacity/Makefile
config.status: creating rsvg/Makefile
config.status: creating gnomekeyring/Makefile
config.status: creating gnomedesktop/Makefile
config.status: creating evolution/Makefile
config.status: creating evince/Makefile
config.status: creating gnome-python-desktop-2.0.pc
config.status: creating tests/Makefile
config.status: creating docs/Makefile
config.status: creating docs/gtksourceview/Makefile
config.status: creating docs/gnomeprint/Makefile
config.status: creating docs/gnomeprintui/Makefile
config.status: creating config.h
config.status: executing depfiles commands
config.status: executing libtool commands
rm: libtoolT: No such file or directory
configure: WARNING: unrecognized options: --without-libintl-prefix, 

The following modules will be built:

evolution ecal support

The following modules will NOT be built:

*** WARNING: You are using a deprecated build system (autotools).
***          You should be using WAF instead; see the file INSTALL.WAF.
***          The autotools build system will be removed in a future version.
=> Modifying libtool scripts to use pkgsrc libtool
===> build-message [py26-gnome2-desktop-2.30.2nb2] ===> Building for 
=> Automatic manual page handling
=> Generating post-install file lists
pkg_create: can't stat 
pkg_create: can't stat 
pkg_create: can't stat 
=> Checking file-check results for py26-gnome2-desktop-2.30.2nb2
ERROR: ************************************************************
ERROR: The following files are in the PLIST but not in /usr/pkg:
*** Error code 1

make: stopped in /c/ryoh/pkgsrc/x11/py-gnome2-desktop

Home | Main Index | Thread Index | Old Index